Download workspace logs
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/logs/{workspaceId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/logs/{workspaceId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/logs/{workspaceId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Logs
Download workspace logs
Download workspace logs as a plain-text file filtered by query parameters.
GET
/
api
/
svc
/
v1
/
logs
/
{workspaceId}
/
download
Download workspace logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Start timestamp for querying logs, in nanoseconds from the Unix epoch.
Example:
"1635467890123456789"
End timestamp for querying logs, in nanoseconds from the Unix epoch.
Example:
"1635467891123456789"
Max number of log lines to fetch
Direction of sorting logs. Can be asc or desc
Query params to fetch logs
Show child attributes
Show child attributes
Query to filter logs
Show child attributes
Show child attributes
Number of logs corresponding to the starting timestamp to be ignored.
Response
Streamed plain-text log file.
The response is of type file.
Was this page helpful?